Bug 845069 - ovirt-enegine-backend [Quota]: moving a DC to quota mode enforcing should be blocked if quota assignments are missing.
ovirt-enegine-backend [Quota]: moving a DC to quota mode enforcing should be ...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.0
x86_64 Linux
high Severity high
: ---
: ---
Assigned To: Doron Fediuck
sla
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-01 12:01 EDT by Dafna Ron
Modified: 2016-02-10 15:16 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-03 09:59:49 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: SLA
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
log (94.04 KB, application/x-xz)
2012-08-01 12:01 EDT, Dafna Ron
no flags Details

  None (edit)
Description Dafna Ron 2012-08-01 12:01:56 EDT
Created attachment 601777 [details]
log

Description of problem:

I created a disk on one domain before quota was enforced. 
after I enforced a quota I created a quota on a different domain in the DC and created a vm 
I was able to attach the disk (which has no quota) to the vm (which has a quota defined). 

Version-Release number of selected component (if applicable):

si12

How reproducible:

100%

Steps to Reproduce:
1. create 2 storage domains under a single DC
2. create a floating disk under one domain
3. create a quota under the second domain and enforce the quota
4. attach the floating disk to the vm

Actual results:

we are able to attach the floating disk which has no quota defined

Expected results:

we should not be able to attach the disk

Additional info: engine log
Comment 1 Itamar Heim 2012-08-02 03:19:25 EDT
I'm not even sure this is a bug.
I see no difference in having a disk with empty quota before or after it is attached to a VM.
disk quota and vm quota are not the same thing (although vm quota should be the default quota for its disks).

this would also be solved yb not allowing to have null quotas when moving a storage domain to enforcing.
Comment 6 Doron Fediuck 2012-10-04 12:02:14 EDT
Documenting existing search queries for Quota;

Vms: quota = null
Templates : quota = null
Disks: quota = null

The above can be used of course to locate other named quota assignments,
for example:

Vms: quota = students-quota
Templates : quota = production-quota
Disks: quota != null
Comment 7 Doron Fediuck 2012-10-04 12:04:33 EDT
The queries in comment 6 should be used in order to help the admin to find
all relevant entities with missing quota assignments. Once these are found
they can be assigned and only then the DC quota may move to enforce.
Comment 8 Doron Fediuck 2013-01-03 09:59:49 EST
As a part of fixing Bug 845022, we've added a confirmation dialog with all the relevant information. So when the admin moves a DC to quota enabled (enforcing or audit) and there are no quota assignments this dialog will provide the needed feedback.
	
Closing this BZ per the 845022 fix.

Note You need to log in before you can comment on or make changes to this bug.